Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1195208 (OpenVswitch_Support) - [RFE] - Support OVS based host networking cluster type.
Summary: [RFE] - Support OVS based host networking cluster type.
Keywords:
Status: ASSIGNED
Alias: OpenVswitch_Support
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.4.0
: ---
Assignee: Ales Musil
QA Contact: Meni Yakove
URL: https://github.com/EdDev/ovirt-site/b...
Whiteboard:
Depends On: 1441245 1669464 1362393 1362399 1362401 1362492 1362495 1364081 1364087 1369380 1371840 1377912 1379115 1380271 1380273 1381147 1383035 1598461
Blocks: 1207681 overlay_networks_support 1309957 1342557 1366899
TreeView+ depends on / blocked
 
Reported: 2015-02-23 11:35 UTC by Yaniv Lavi
Modified: 2019-04-14 12:56 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Technology Preview
Doc Text:
This release adds support for Open vSwitch, in order to allow routing from OVN networks, which makes them more usable. When defining a new cluster, an admin can opt using Open vSwitch instead of Linux bridge. As of 4.3, this feature is incomplete but can be used in production. the following features are missing: - reading LLDP (RHV-2679) - setting DNS - source routing (bug 1383035) - iSCSI bond (bug 1441245) - port mirroring (bug 1362492) - host QoS (bug 1380271) - setting bridge options (bug 1380273)
Clone Of:
Environment:
Last Closed:
oVirt Team: Network
danken: ovirt-4.4?
myakove: testing_plan_complete+
ylavi: planning_ack?
danken: devel_ack+
ylavi: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 901213 None None None 2016-11-04 20:24:34 UTC
oVirt gerrit 40312 None None None Never
oVirt gerrit 52336 master ABANDONED network: native Open vSwitch support 2016-06-05 13:42:50 UTC
oVirt gerrit 55274 master ABANDONED net: native ovs [3]: validate networks and bonds 2017-04-18 10:35:11 UTC
oVirt gerrit 55275 master ABANDONED net: native ovs [4]: move RollbackIncomplete to net api 2017-04-18 10:35:32 UTC
oVirt gerrit 55280 master ABANDONED net: native ovs [7]: configure basic ovs nets and bonds 2017-04-09 07:30:01 UTC
oVirt gerrit 55307 master ABANDONED net: native ovs [7]: configure basic ovs nets and bonds 2016-04-21 14:39:25 UTC
oVirt gerrit 55308 master MERGED net: native ovs: ovs switch skeleton 2016-04-16 10:50:26 UTC
oVirt gerrit 55309 master ABANDONED net: native ovs [2]: split ovs and legacy networks 2016-04-09 22:37:15 UTC
oVirt gerrit 55310 master MERGED net: native ovs: validate networks and bonds 2016-04-16 10:52:31 UTC
oVirt gerrit 55311 master MERGED net: native ovs: move RollbackIncomplete to network errors 2016-04-10 17:41:48 UTC
oVirt gerrit 55312 master ABANDONED net: native ovs [5]: rollback trigger 2016-04-19 11:58:21 UTC
oVirt gerrit 55313 master MERGED net: native ovs: split to-be-removed and to-be-added 2016-04-16 10:53:34 UTC
oVirt gerrit 55494 master MERGED API: net: introduce 'switch' attribute for nets and bonds 2016-04-01 11:51:22 UTC
oVirt gerrit 55495 master MERGED net: canonicalize 'switch' in nets and bonds 2016-04-06 20:41:19 UTC
oVirt gerrit 55810 master MERGED net: netinfo: report switch type as legacy 2016-04-13 09:16:24 UTC
oVirt gerrit 55825 master MERGED net: Persist bonding legacy switch type 2016-04-10 08:46:33 UTC
oVirt gerrit 55952 master MERGED net: canonicalize bondings in Config 2016-04-12 08:45:13 UTC
oVirt gerrit 55958 master MERGED net: OVS driver 2016-04-28 05:44:39 UTC
oVirt gerrit 56149 master MERGED net: add Transaction() to netconfpersistence 2016-05-01 08:42:51 UTC
oVirt gerrit 56352 master ABANDONED net: native ovs: use Transaction for rollback triggering 2016-06-29 11:56:08 UTC
oVirt gerrit 56353 master ABANDONED net: native ovs: ovs network setup 2016-05-14 17:48:45 UTC
oVirt gerrit 56391 master MERGED net: native ovs: ovsnettestlib.py 2016-05-03 10:24:41 UTC
oVirt gerrit 56416 master ABANDONED net: native ovs: ovs bonding setup 2016-05-14 17:48:50 UTC
oVirt gerrit 56448 master MERGED net: native ovs: check for nic existence 2016-04-28 05:44:52 UTC
oVirt gerrit 56449 master MERGED net: OVS driver - bond_slave commands 2016-04-28 05:46:29 UTC
oVirt gerrit 56451 master ABANDONED net: native ovs: store constants in __init__ 2016-05-03 15:11:11 UTC
oVirt gerrit 56452 master ABANDONED net: native ovs: reserve ovsbr0 network name 2016-05-03 15:11:06 UTC
oVirt gerrit 56461 master MERGED net: native ovs: check for bond existence 2016-04-28 05:45:05 UTC
oVirt gerrit 56828 master ABANDONED libvirt: add OVS network type to libvirt.createNetworkDef 2016-06-28 14:04:51 UTC
oVirt gerrit 56829 master ABANDONED net: add vlan tag to libvirt network def 2016-06-28 14:04:05 UTC
oVirt gerrit 56838 master ABANDONED net: don't handle OVS networks in netinfo 2016-06-28 14:04:28 UTC
oVirt gerrit 56843 master ABANDONED net: netinfo/cache.py handles only legacy nets 2016-05-02 11:12:29 UTC
oVirt gerrit 56901 master NEW net: OVS Info 2016-05-09 13:35:47 UTC
oVirt gerrit 56913 master ABANDONED net: ovs bondings netinfo 2016-05-03 12:33:15 UTC
oVirt gerrit 56972 master MERGED net: OVS netinfo 2016-05-15 12:29:09 UTC
oVirt gerrit 56976 master ABANDONED net: fake bridgeless networks 2016-05-04 23:22:54 UTC
oVirt gerrit 56979 master ABANDONED net: fake OVS as bridgeless in caps 2016-05-03 16:02:01 UTC
oVirt gerrit 56980 master ABANDONED net: include OVS Netinfo in netinfo/cache.py:_get() 2016-05-04 23:22:57 UTC
oVirt gerrit 56991 master ABANDONED net: report ovs network with nics, vlan tag and bond 2016-05-04 18:47:51 UTC
oVirt gerrit 57009 master ABANDONED libvirt: define libvirt network by its type 2016-06-28 14:05:13 UTC
oVirt gerrit 57015 master ABANDONED net: compare base config with KernelConfig in Transaction 2016-06-29 11:56:11 UTC
oVirt gerrit 57034 master MERGED net: some values should be or should not be list 2016-05-05 07:43:55 UTC
oVirt gerrit 57067 master MERGED net: report expected devices in OVS netinfo 2016-05-15 12:30:22 UTC
oVirt gerrit 57068 master MERGED net: fake OVS networks as bridgeless 2016-05-17 09:55:28 UTC
oVirt gerrit 57086 master ABANDONED net: consume OVS netinfo in KernelConfig 2016-05-05 12:12:16 UTC
oVirt gerrit 57089 master MERGED net: consume OVS netinfo by CachingNetInfo 2016-05-17 09:52:50 UTC
oVirt gerrit 57102 master MERGED net: report OVS netinfo in caps 2016-06-02 10:02:56 UTC
oVirt gerrit 57440 master ABANDONED net: get nics from cache.get() 2016-05-17 13:14:29 UTC
oVirt gerrit 57441 master MERGED net: common and legacy CachingNetInfo 2016-06-02 10:23:55 UTC
oVirt gerrit 57442 master MERGED net: fix validation bug: ovs_bonds should be used 2016-06-02 10:25:02 UTC
oVirt gerrit 57443 master MERGED net: ovs validator should accept multiple untagged nets 2016-06-02 10:26:15 UTC
oVirt gerrit 57444 master MERGED net: use netinfo for OVS validation 2016-06-02 10:28:26 UTC
oVirt gerrit 57445 master MERGED net: use netinfo to split OVS/legacy nets and bonds 2016-06-02 10:29:17 UTC
oVirt gerrit 57446 master MERGED net: use netinfo to split OVS nets and bonds 2016-06-02 10:42:03 UTC
oVirt gerrit 57818 master MERGED netinfo: report 'vlanid' only if vlan is set 2016-06-01 11:51:30 UTC
oVirt gerrit 58012 master MERGED ovs: add/remove OVS network that is based on a nic 2016-06-06 10:21:24 UTC
oVirt gerrit 58038 master ABANDONED ovs: mark OVS bridges as ours 2016-05-25 13:07:40 UTC
oVirt gerrit 58078 master MERGED ovs: bridge is optional for del-port 2016-06-02 11:00:01 UTC
oVirt gerrit 58085 master MERGED ovs: add/remove OVS network based on a VLAN 2016-06-06 10:22:13 UTC
oVirt gerrit 58159 master MERGED ovs: add bridges_by_sb property to OvsInfo 2016-06-02 11:00:22 UTC
oVirt gerrit 58202 master MERGED ovs: add/remove OVS network based on a bond 2016-06-17 11:38:27 UTC
oVirt gerrit 58203 master DRAFT ovs: add/remove OVS bond 2016-05-27 22:37:24 UTC
oVirt gerrit 58210 master MERGED ovs: validate that to-be-removed bond is not used 2016-06-06 10:23:22 UTC
oVirt gerrit 58253 master MERGED ovs: use unfaked ovs_netinfo under ovs package 2016-06-02 11:00:58 UTC
oVirt gerrit 58254 master MERGED ovs: don't check if changes are needed in net editation 2016-06-06 10:18:35 UTC
oVirt gerrit 58368 master MERGED ovs: don't count bond slave duplicates 2016-06-21 08:54:33 UTC
oVirt gerrit 58437 master MERGED ovs: edit bond mode 2016-06-21 08:53:11 UTC
oVirt gerrit 58447 master MERGED net: move ip configuration to ip.address module 2016-06-29 10:14:26 UTC
oVirt gerrit 58466 master MERGED ovs: add OVS network with IP configuration 2016-06-29 10:14:51 UTC
oVirt gerrit 58502 master MERGED netswitch: split setup actions on netswitch level 2016-06-29 10:14:11 UTC
oVirt gerrit 58608 master ABANDONED ovs: smarter removal of unused bridges 2016-06-06 09:53:13 UTC
oVirt gerrit 58723 master MERGED ovs: fix bond removal validation 2016-06-17 11:37:40 UTC
oVirt gerrit 58800 master MERGED ovs: turn created links UP 2016-06-29 10:15:40 UTC
oVirt gerrit 58841 master MERGED ovs: use transaction class for devices setup 2016-06-17 11:38:11 UTC
oVirt gerrit 59002 master MERGED net: disable unused IPv6 in ip.address.add() 2016-06-29 10:17:40 UTC
oVirt gerrit 59007 master NEW net: move dhclient_run/stop helpers to dhclient.py 2016-06-28 14:33:15 UTC
oVirt gerrit 59039 master NEW ovs: add network with dhcp configuration 2016-06-29 11:43:55 UTC
oVirt gerrit 59336 master MERGED virt net: Change graphics type from network to address 2016-07-18 07:53:49 UTC
oVirt gerrit 59727 master NEW net: move dhclient.py to ip package 2016-06-28 14:33:07 UTC
oVirt gerrit 59903 master NEW ovs: move bridges cleanup to a separate function 2016-06-29 11:53:20 UTC
oVirt gerrit 59904 master NEW ovs: rollback transaction 2016-06-29 13:51:53 UTC
oVirt gerrit 59957 master ABANDONED net address: ignore not existing iface on flush 2016-07-18 18:33:33 UTC
oVirt gerrit 59958 master ABANDONED ovs: flush IP config from attached ifaces 2016-07-18 18:33:54 UTC
oVirt gerrit 60153 master MERGED net: add address.flush family argument 2016-07-10 23:53:30 UTC
oVirt gerrit 60155 master MERGED net: call address.flush explicitly after dhclient.kill 2016-07-10 23:54:32 UTC
oVirt gerrit 60353 master DRAFT ovs: mark nics owned by ovs switch 2016-07-07 15:05:32 UTC
oVirt gerrit 60371 master MERGED net: early IP+link setup 2016-09-11 05:35:16 UTC
oVirt gerrit 60372 master DRAFT ovs: set mtu 2016-07-07 17:12:12 UTC
oVirt gerrit 60404 master MERGED ovs: acquire ifaces 2016-08-04 15:35:51 UTC
oVirt gerrit 60405 master MERGED ovs: use Setup class directly 2016-07-29 10:34:48 UTC
oVirt gerrit 60531 model_4.0 MERGED Changes to support OVS switch 2016-07-12 14:38:31 UTC
oVirt gerrit 60557 ovirt-engine-4.0 MERGED core: added switch attribute to HostSetupNetworksVDSCommand and to HostNetwork 2016-07-21 12:03:20 UTC
oVirt gerrit 60558 ovirt-engine-4.0 MERGED core: add switchType to VdsNetworksInterface and Cluster. 2016-07-21 12:03:36 UTC
oVirt gerrit 60559 ovirt-engine-4.0 ABANDONED core: fix DAO test falure 2016-07-20 10:13:20 UTC
oVirt gerrit 60560 ovirt-engine-4.0 MERGED core: persist reported switch type of network into vds_interface 2016-07-21 12:01:55 UTC
oVirt gerrit 60561 ovirt-engine-4.0 MERGED core: removed unused methods 2016-07-21 12:01:30 UTC
oVirt gerrit 60562 ovirt-engine-4.0 MERGED core: check if also switch type is in sync 2016-07-21 12:03:06 UTC
oVirt gerrit 60563 ovirt-engine-4.0 MERGED core: simplified use of ReportedConfiguration 2016-07-21 12:02:16 UTC
oVirt gerrit 60564 ovirt-engine-4.0 MERGED core: removed duplicates + code format. 2016-07-21 12:02:36 UTC
oVirt gerrit 60565 ovirt-engine-4.0 MERGED core: add test for identifying different SwitchType 2016-07-21 12:02:52 UTC
oVirt gerrit 60566 ovirt-engine-4.0 MERGED core: use SwitchType when creating cluster. 2016-07-21 12:04:19 UTC
oVirt gerrit 60567 ovirt-engine-4.0 MERGED core: pass SwitchType from Cluster to HostNetwork 2016-07-21 12:04:32 UTC
oVirt gerrit 60568 ovirt-engine-4.0 MERGED webadmin: eliminate unnecessary (and complicating) events. 2016-07-21 12:03:51 UTC
oVirt gerrit 60569 ovirt-engine-4.0 MERGED webadmin: add SwitchType to cluster dialog 2016-07-21 12:04:46 UTC
oVirt gerrit 60570 ovirt-engine-4.0 MERGED core,webadmin: change switch type default value. 2016-07-21 12:04:59 UTC
oVirt gerrit 60571 ovirt-engine-4.0 MERGED restapi: Added SwitchType property to Cluster. 2016-07-21 12:04:04 UTC
oVirt gerrit 60824 master ABANDONED ovs: use ovsdb factory 2016-07-16 17:43:14 UTC
oVirt gerrit 60864 ovirt-4.0 MERGED netinfo: report 'vlanid' only if vlan is set 2016-07-25 11:48:58 UTC
oVirt gerrit 60865 ovirt-4.0 MERGED net: report OVS netinfo in caps 2016-07-25 11:50:09 UTC
oVirt gerrit 60866 ovirt-4.0 MERGED net: common and legacy CachingNetInfo 2016-07-25 11:52:06 UTC
oVirt gerrit 60867 ovirt-4.0 MERGED net: fix validation bug: ovs_bonds should be used 2016-07-25 11:53:40 UTC
oVirt gerrit 60868 ovirt-4.0 MERGED net: ovs validator should accept multiple untagged nets 2016-07-25 11:54:07 UTC
oVirt gerrit 60869 ovirt-4.0 MERGED net: use netinfo for OVS validation 2016-07-25 11:54:36 UTC
oVirt gerrit 60870 ovirt-4.0 MERGED net: use netinfo to split OVS/legacy nets and bonds 2016-07-25 11:54:57 UTC
oVirt gerrit 60871 ovirt-4.0 MERGED net: use netinfo to split OVS nets and bonds 2016-07-25 11:55:16 UTC
oVirt gerrit 60872 ovirt-4.0 MERGED ovs: bridge is optional for del-port 2016-07-25 11:55:34 UTC
oVirt gerrit 60873 ovirt-4.0 MERGED ovs: add bridges_by_sb property to OvsInfo 2016-07-25 11:55:53 UTC
oVirt gerrit 60874 ovirt-4.0 MERGED ovs: use unfaked ovs_netinfo under ovs package 2016-07-25 11:56:09 UTC
oVirt gerrit 60974 master MERGED net: introduce acquire module 2016-08-04 15:31:22 UTC
oVirt gerrit 61049 master MERGED ovs: copy NIC hwaddr to NB 2016-08-07 08:38:06 UTC
oVirt gerrit 61088 master ABANDONED ovs: rollback acquired ifaces after failure 2016-07-28 11:36:59 UTC
oVirt gerrit 61100 ovirt-4.0 MERGED ovs: don't check if changes are needed in net editation 2016-07-25 11:56:39 UTC
oVirt gerrit 61101 ovirt-4.0 MERGED ovs: add/remove OVS network that is based on a nic 2016-07-25 11:57:07 UTC
oVirt gerrit 61102 ovirt-4.0 MERGED ovs: add/remove OVS network based on a VLAN 2016-07-25 11:57:29 UTC
oVirt gerrit 61103 ovirt-4.0 MERGED ovs: validate that to-be-removed bond is not used 2016-07-25 11:57:54 UTC
oVirt gerrit 61108 ovirt-4.0 MERGED ovs: fix bond removal validation 2016-07-25 11:58:16 UTC
oVirt gerrit 61109 ovirt-4.0 MERGED ovs: use transaction class for devices setup 2016-07-25 11:58:55 UTC
oVirt gerrit 61111 ovirt-4.0 MERGED ovs: add/remove OVS network based on a bond 2016-07-25 11:59:22 UTC
oVirt gerrit 61112 ovirt-4.0 MERGED ovs: edit bond mode 2016-07-25 11:59:51 UTC
oVirt gerrit 61113 ovirt-4.0 MERGED ovs: don't count bond slave duplicates 2016-07-25 12:00:11 UTC
oVirt gerrit 61114 ovirt-4.0 MERGED net: Setup ipv6autoconf with OVS switch 2016-07-25 12:00:35 UTC
oVirt gerrit 61115 ovirt-4.0 MERGED netswitch: split setup actions on netswitch level 2016-07-25 12:01:12 UTC
oVirt gerrit 61116 ovirt-4.0 MERGED net: move ip configuration to ip.address module 2016-07-25 12:01:38 UTC
oVirt gerrit 61119 ovirt-4.0 MERGED net virt: Support connecting VM/s to an ovs bridge 2016-07-25 12:02:22 UTC
oVirt gerrit 61120 ovirt-4.0 MERGED virt net: Change graphics type from network to address 2016-07-22 08:32:36 UTC
oVirt gerrit 61121 ovirt-4.0 MERGED net tests: Functional tests infrastructure 2016-07-25 12:03:57 UTC
oVirt gerrit 61122 ovirt-4.0 MERGED net func test: Support remove network check 2016-07-25 12:04:13 UTC
oVirt gerrit 61123 ovirt-4.0 MERGED net tests: common tests for 'ovs' and 'legacy' 2016-07-25 12:04:34 UTC
oVirt gerrit 61124 ovirt-4.0 MERGED net func test: test network based on a vlan 2016-07-25 12:04:48 UTC
oVirt gerrit 61125 ovirt-4.0 MERGED net func test: add basic bond tests 2016-07-25 12:16:38 UTC
oVirt gerrit 61126 ovirt-4.0 MERGED ovs: add OVS network with IP configuration 2016-07-25 12:16:53 UTC
oVirt gerrit 61127 ovirt-4.0 MERGED ovs: turn created links UP 2016-07-25 12:17:11 UTC
oVirt gerrit 61128 ovirt-4.0 MERGED net: disable unused IPv6 in ip.address.add() 2016-07-25 12:17:35 UTC
oVirt gerrit 61129 ovirt-4.0 MERGED net: move dhclient_run/stop helpers to dhclient.py 2016-07-25 12:17:55 UTC
oVirt gerrit 61130 ovirt-4.0 MERGED net: move dhclient.py to ip package 2016-07-25 12:18:18 UTC
oVirt gerrit 61131 ovirt-4.0 MERGED ovs: add network with dhcp configuration 2016-07-25 12:18:40 UTC
oVirt gerrit 61132 ovirt-4.0 MERGED ovs: move bridges cleanup to a separate function 2016-07-25 12:18:58 UTC
oVirt gerrit 61133 ovirt-4.0 MERGED ovs: rollback transaction 2016-07-25 12:19:16 UTC
oVirt gerrit 61134 ovirt-4.0 MERGED net: add address.flush family argument 2016-07-25 12:19:36 UTC
oVirt gerrit 61135 ovirt-4.0 MERGED ovs hook: fix dhclient imports 2016-07-25 12:19:59 UTC
oVirt gerrit 61136 ovirt-4.0 MERGED net: call address.flush explicitly after dhclient.kill 2016-07-25 12:20:14 UTC
oVirt gerrit 61137 ovirt-4.0 MERGED py3: Require libselinux-python3 2016-07-25 12:00:50 UTC
oVirt gerrit 61150 ovirt-4.0 MERGED vdscli: Provide py3 compatible xmlrpclib (using six) 2016-07-25 12:03:08 UTC
oVirt gerrit 61173 master MERGED net func tests: drop ovs/legacy permutation 2016-07-24 08:33:59 UTC
oVirt gerrit 61201 ovirt-engine-4.0.2 MERGED core: added switch attribute to HostSetupNetworksVDSCommand and to HostNetwork 2016-07-25 14:30:36 UTC
oVirt gerrit 61202 ovirt-engine-4.0.2 MERGED core: add switchType to VdsNetworksInterface and Cluster. 2016-07-25 14:30:20 UTC
oVirt gerrit 61203 ovirt-engine-4.0.2 MERGED core: persist reported switch type of network into vds_interface 2016-07-25 14:30:04 UTC
oVirt gerrit 61204 ovirt-engine-4.0.2 MERGED core: removed unused methods 2016-07-25 14:29:49 UTC
oVirt gerrit 61205 ovirt-engine-4.0.2 MERGED core: check if also switch type is in sync 2016-07-25 14:29:33 UTC
oVirt gerrit 61206 ovirt-engine-4.0.2 MERGED core: simplified use of ReportedConfiguration 2016-07-25 14:29:17 UTC
oVirt gerrit 61207 ovirt-engine-4.0.2 MERGED core: removed duplicates + code format. 2016-07-25 14:29:01 UTC
oVirt gerrit 61208 ovirt-engine-4.0.2 MERGED core: add test for identifying different SwitchType 2016-07-25 14:28:45 UTC
oVirt gerrit 61209 ovirt-engine-4.0.2 MERGED core: use SwitchType when creating cluster. 2016-07-25 14:28:29 UTC
oVirt gerrit 61210 ovirt-engine-4.0.2 MERGED core: pass SwitchType from Cluster to HostNetwork 2016-07-25 14:28:12 UTC
oVirt gerrit 61211 ovirt-engine-4.0.2 MERGED webadmin: eliminate unnecessary (and complicating) events. 2016-07-25 14:27:55 UTC
oVirt gerrit 61212 ovirt-engine-4.0.2 MERGED webadmin: add SwitchType to cluster dialog 2016-07-25 14:27:37 UTC
oVirt gerrit 61213 ovirt-engine-4.0.2 MERGED core,webadmin: change switch type default value. 2016-07-25 14:27:20 UTC
oVirt gerrit 61214 ovirt-engine-4.0.2 MERGED restapi: Added SwitchType property to Cluster. 2016-07-25 14:26:53 UTC
oVirt gerrit 61238 ovirt-4.0 MERGED net func tests: drop ovs/legacy permutation 2016-07-25 12:20:30 UTC
oVirt gerrit 61239 ovirt-4.0 MERGED net systemd: Require openvswitch.service 2016-07-25 12:20:45 UTC
oVirt gerrit 61240 master MERGED ovs: do not call ovs_info if ovs service is down 2016-07-25 11:40:14 UTC
oVirt gerrit 61241 ovirt-4.0 MERGED ovs: do not call ovs_info if ovs service is down 2016-07-25 12:21:02 UTC
oVirt gerrit 61259 ovirt-4.0 MERGED Revert "virt net: Change graphics type from network to address" 2016-07-23 06:51:49 UTC
oVirt gerrit 61262 ovirt-4.0 MERGED virt net: Change graphics type from network to address 2016-07-25 11:30:51 UTC
oVirt gerrit 61321 master MERGED ovs: create ovs-vsctl command only on demand 2016-07-25 16:01:30 UTC
oVirt gerrit 61330 master MERGED ovs: pass --disable-openvswitch to vdsm.spec 2016-07-25 16:01:45 UTC
oVirt gerrit 61337 master MERGED spec: never require openvswitch on ppc 2016-07-26 07:48:52 UTC
oVirt gerrit 61347 ovirt-4.0 MERGED ovs: create ovs-vsctl command only on demand 2016-07-26 09:35:46 UTC
oVirt gerrit 61348 ovirt-4.0 MERGED ovs: pass --disable-openvswitch to vdsm.spec 2016-07-26 09:34:54 UTC
oVirt gerrit 61349 ovirt-4.0 MERGED spec: never require openvswitch on ppc 2016-07-26 09:35:30 UTC
oVirt gerrit 61352 ovirt-4.0 ABANDONED build: Enable openvswitch by default on downstream 2016-07-26 08:25:47 UTC
oVirt gerrit 61366 ovirt-4.0 MERGED net test: Nose labeling of test type breaks with inheritance 2016-07-26 07:50:15 UTC
oVirt gerrit 61482 master MERGED utils: atomic file write 2016-08-04 06:04:23 UTC
oVirt gerrit 61648 master ABANDONED utils: rename random_iface_name to random_name 2016-08-02 09:12:06 UTC
oVirt gerrit 61686 ovirt-4.0 MERGED ovs: use Setup class directly 2016-09-05 11:26:17 UTC
oVirt gerrit 61687 master MERGED ovs: add OVS bridges cleanup to shell_helper 2016-08-08 07:16:51 UTC
oVirt gerrit 61688 ovirt-4.0 MERGED ovs: add OVS bridges cleanup to shell_helper 2016-09-05 11:28:39 UTC
oVirt gerrit 61715 master DRAFT ovs: _setup_ipv6autoconf -> _setup_ovs_ipv6autoconf 2016-07-29 22:26:19 UTC
oVirt gerrit 61905 master MERGED ovs: use vdsmbr_test name for test bridges 2016-08-08 07:16:34 UTC
oVirt gerrit 61918 master ABANDONED net: lookup dhclient file 2017-01-22 01:58:28 UTC
oVirt gerrit 66989 ovirt-engine-4.0 MERGED core: inform user clearly, that OVS is experimental. 2016-11-17 12:48:58 UTC
oVirt gerrit 95824 master MERGED net: Add support for DNS on OvS switch type 2019-01-30 09:27:00 UTC

Description Yaniv Lavi 2015-02-23 11:35:29 UTC
Description of problem:
Open vSwitch is a production quality, multilayer virtual switch licensed under the open source Apache 2.0 license.  It is designed to enable massive network automation through programmatic extension, while still supporting standard management interfaces and protocols (e.g. NetFlow, sFlow, IPFIX, RSPAN, CLI, LACP, 802.1ag).  In addition, it is designed to support distribution across multiple physical servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V. This feature is to track adding native support to it in the engine.

Comment 1 Barak 2015-06-11 12:02:35 UTC
The current path we are working on is first enabling it using hooks.

Comment 2 Red Hat Bugzilla Rules Engine 2015-10-19 10:52:55 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 3 Yaniv Lavi 2016-02-10 12:26:43 UTC
Need to discuss scale testing with scale team with VM running on network and testing communication within the networks. Need to check parity with existing implementation. 
Need to consider upgrade path for in cluster network switch to OVS. Dan, do we have thoughts\design for this yet?

Comment 4 Hannes Frederic Sowa 2016-03-01 12:23:11 UTC
What is the actual reason behind this move? Which features does the Linux networking stack not provide without ovs?

Comment 5 Yaniv Kaul 2016-03-01 12:28:50 UTC
(In reply to Hannes Frederic Sowa from comment #4)
> What is the actual reason behind this move? Which features does the Linux
> networking stack not provide without ovs?

- SDN features (future - OVN)
- SDN features (future - integration with 3rd party solutions)
- Scalability - the time to set up large (100's?) of networks is supposed to be significantly less in OVS. We have bugs around 60 or so networks.
- Broadcast domain?
- API (Python and CLI) - not sure about bridge.
- Statistics - not sure about bridge.
- DPDK integration - not sure about bridge.
- Other advanced features? Routing and friends? Easier with a single interface / component (Bond come to mind as well).

Comment 6 Hannes Frederic Sowa 2016-03-01 12:34:04 UTC
(In reply to Yaniv Kaul from comment #5)
> (In reply to Hannes Frederic Sowa from comment #4)
> > What is the actual reason behind this move? Which features does the Linux
> > networking stack not provide without ovs?
> 
> - SDN features (future - OVN)

I can understand. So RHEV should compete with OpenStack?

Please understand that we nowadays seldom ship an OpenStack installation without an external partner providing the network (nuage, plumgrid, etc.). We are currently missing critical features in OpenStack still (DVR routing). As a kernel developer the current OpenStack use basically forces a lot of packets on slow paths.

> - SDN features (future - integration with 3rd party solutions)

Same arguments as above. This probably will have to be decided by Product Management, but I don't really see the reason.

> - Scalability - the time to set up large (100's?) of networks is supposed to
> be significantly less in OVS. We have bugs around 60 or so networks.

It would be great if we get those bugs, as we are responsible for kernel networking.

> - Broadcast domain?

Huge problem for overlay networks, as the packet needs to be cloned in the kernel and send out to *every* hypervisor.

> - API (Python and CLI) - not sure about bridge.

Yes, the API is much more complicated.

> - Statistics - not sure about bridge.

We certainly can solve that.

> - DPDK integration - not sure about bridge.

I thought this is something we only want to do for Containers. Why the change here?

> - Other advanced features? Routing and friends? Easier with a single
> interface / component (Bond come to mind as well).

Nothing comes to my mind either.

Comment 7 Hannes Frederic Sowa 2016-03-01 12:36:28 UTC
(In reply to Hannes Frederic Sowa from comment #6)
> > - DPDK integration - not sure about bridge.
> 
> I thought this is something we only want to do for Containers. Why the
> change here?

Mine statement is wrong, sorry.

Sorry, we do use it for Virtualization, but everyone always thought as an intermediate solution until the Kernel is up to the task with that, which requires much more effort. DPDK should not be an end-goal.

Comment 8 Yaniv Kaul 2016-03-01 13:18:21 UTC
(In reply to Hannes Frederic Sowa from comment #6)
> (In reply to Yaniv Kaul from comment #5)
> > (In reply to Hannes Frederic Sowa from comment #4)
> > > What is the actual reason behind this move? Which features does the Linux
> > > networking stack not provide without ovs?
> > 
> > - SDN features (future - OVN)
> 
> I can understand. So RHEV should compete with OpenStack?

No, but we also want a bit of SDN. Even in traditional data center virtualization solution you want SDN, for cross data center communication, for example, for private networks, etc.

> 
> Please understand that we nowadays seldom ship an OpenStack installation
> without an external partner providing the network (nuage, plumgrid, etc.).
> We are currently missing critical features in OpenStack still (DVR routing).
> As a kernel developer the current OpenStack use basically forces a lot of
> packets on slow paths.
> 
> > - SDN features (future - integration with 3rd party solutions)
> 
> Same arguments as above. This probably will have to be decided by Product
> Management, but I don't really see the reason.

Same reason as OpenStack + some customers already have that 3rd party (Nuage and friends) and want to use it with RHEV as well.

> 
> > - Scalability - the time to set up large (100's?) of networks is supposed to
> > be significantly less in OVS. We have bugs around 60 or so networks.
> 
> It would be great if we get those bugs, as we are responsible for kernel
> networking.

I'll look for it.

> 
> > - Broadcast domain?
> 
> Huge problem for overlay networks, as the packet needs to be cloned in the
> kernel and send out to *every* hypervisor.
> 
> > - API (Python and CLI) - not sure about bridge.
> 
> Yes, the API is much more complicated.
> 
> > - Statistics - not sure about bridge.
> 
> We certainly can solve that.
> 
> > - DPDK integration - not sure about bridge.
> 
> I thought this is something we only want to do for Containers. Why the
> change here?

Why? If it provides better performance / lower latency, why not use it with virtualization as well (vhost with DPDK, or something)?

> 
> > - Other advanced features? Routing and friends? Easier with a single
> > interface / component (Bond come to mind as well).
> 
> Nothing comes to my mind either.

Integration with other networking gear, via OpenFlow? Standard monitoring via sFlow?

Comment 9 Hannes Frederic Sowa 2016-03-01 13:39:20 UTC
(In reply to Yaniv Kaul from comment #8)
> (In reply to Hannes Frederic Sowa from comment #6)
> > (In reply to Yaniv Kaul from comment #5)
> > > (In reply to Hannes Frederic Sowa from comment #4)
> > > > What is the actual reason behind this move? Which features does the Linux
> > > > networking stack not provide without ovs?
> > > 
> > > - SDN features (future - OVN)
> > 
> > I can understand. So RHEV should compete with OpenStack?
> 
> No, but we also want a bit of SDN. Even in traditional data center
> virtualization solution you want SDN, for cross data center communication,
> for example, for private networks, etc.

I do think those are pretty easily realizable without SDN, but I don't want to make this decision. If feature requests came in for that.

Private networks should already be supported by vlans etc. I guess the only reason why you want to have overlay is, that you want to reuse the same ip address space again, no?

> > Please understand that we nowadays seldom ship an OpenStack installation
> > without an external partner providing the network (nuage, plumgrid, etc.).
> > We are currently missing critical features in OpenStack still (DVR routing).
> > As a kernel developer the current OpenStack use basically forces a lot of
> > packets on slow paths.
> > 
> > > - SDN features (future - integration with 3rd party solutions)
> > 
> > Same arguments as above. This probably will have to be decided by Product
> > Management, but I don't really see the reason.
> 
> Same reason as OpenStack + some customers already have that 3rd party (Nuage
> and friends) and want to use it with RHEV as well.

Okay, I can't argue here but would like to see a datacenter architecture were that should work.

> > > - Scalability - the time to set up large (100's?) of networks is supposed to
> > > be significantly less in OVS. We have bugs around 60 or so networks.
> > 
> > It would be great if we get those bugs, as we are responsible for kernel
> > networking.
> 
> I'll look for it.

Thank you, that would be really helpful!

> > I thought this is something we only want to do for Containers. Why the
> > change here?
> 
> Why? If it provides better performance / lower latency, why not use it with
> virtualization as well (vhost with DPDK, or something)?

dpdk comes at a huge cost, keeping cores busy looping to get new packets. This isn't very efficient at all.

The other side is licensing, we at least try to prefer GPLv2 in-kernel solutions over dpdk ones. That is e.g. why we do have the dp-accel project to bring as much speed-ups to the kernel as possible.

> > > - Other advanced features? Routing and friends? Easier with a single
> > > interface / component (Bond come to mind as well).
> > 
> > Nothing comes to my mind either.
> 
> Integration with other networking gear, via OpenFlow? Standard monitoring
> via sFlow?

sflow can already be integrated. I am not sure if integration with OpenFlow is something RHEV should provide.

Comment 10 Yaniv Lavi 2016-03-01 14:39:50 UTC
We are not competing vs OSP. OSP has it's main use case for mode 2 application and oVirt centers around traditional mode 1 workloads. Fast and scale-able networking provision is not needed only for OSP use, but can improve usability for mode 1 as well.

We do want to work on a integration with next generation technology that has a good eco system and will allow us to increase scale limitation. It not a matter of a single feature. We see this in OSV and looking to future in OVN. 

I do want to stress we are discussing VM networks and not host networks and that we have private code the handle ifcfg that we would prefer to not maintain for VM networks. Easily done is not easily maintainable and we don't want to do our own thing, if there is a good alternative. We can make the existing code more scale-able, but still leave it to us to maintain it and we want to defer effort to future investments with more feature velocity.

Comment 11 Fabian Deutsch 2016-03-01 16:15:21 UTC
I'm quite sure that Hannes has concerns, we might want to sit down with him to hear them and get his (or the platform network team's input) on this RFE.

Comment 12 Hannes Frederic Sowa 2016-03-01 16:33:59 UTC
Yes, I am happy to assist. Let us and our team know how and where to help.

Comment 13 Jiri Benc 2016-03-02 11:39:51 UTC
In the URL, I don't see a single mention of OpenFlow controller. I hope you do realize that when using Open vSwitch, you need to implement (and act as) OpenFlow controller? Open vSwitch is a vSwitch implementation and it assumes it connects to a controller. It cannot operate reliably without one.

This is a big pain in Neutron where they are using very hacky way to configure Open vSwitch without a controller (maybe they implement OpenFlow controller nowadays, though, I don't keep track). It falls down on events like ovs-vswitchd daemon restart and similar.

Comment 14 Petr Horáček 2016-03-02 17:32:37 UTC
This document describes implementation of basic OVS functionality. After this step it should behave the same way as our current native linux networking implementation (but faster because of we are not using initscripts). OVS boundaries are in this case limited for a host. Is a controller needed in this case?

This transformation should prepare ground for OVN and the real OVS utilization.

Comment 15 Fabian Deutsch 2016-03-02 21:42:48 UTC
If it's only about avoiding init scripts, the NetworkManager's API should have also been something to investigate.

Comment 16 Yaniv Lavi 2016-03-02 22:42:04 UTC
(In reply to Fabian Deutsch from comment #15)
> If it's only about avoiding init scripts, the NetworkManager's API should
> have also been something to investigate.

See comment #10. It's not just scale, it opens the door to SDN.

Comment 17 Hannes Frederic Sowa 2016-03-02 23:09:48 UTC
Yaniv,

I was starting to set up a mail to ovirt-devel, but felt it kind of hard to write, because I don't know anything about the project and its governance.

I try to bring up some points here, also about the discussion about the road map and we can discuss technical things upstream.

How is oVirt governed? Does RH have a leading role on this project (I assume the answer is yes) and how much does community talk into that.

I ask because if the RoadMap says SDN, probably OVS is your only choice. If this will get you compatibility with OSP, I doubt that just because of complexity reasons. But then I do not have any more arguments. Probably the requests came from customers then to integrate RHEV into OSP or vice versa? I find this kind of confusion, as the reason to use OSP is to have multi-tenancy and the only advantage over a VLAN separation etc. is that you can much more easily reuse the same network ip addresses within the same management domain.

If SDN is just a side-effect of this, I would really think about what RHEV is and which customers to attract with that. OVS comes with a lot of additional complexity which still causes a lot of trouble. I do have the feeling that no OpenStack cloud does get completely set up by RH but mostly other partners do the network and replace the network configuration with their own plugins. Overlays do have a lot of additional complexity, lot's of things need to be implemented with netfilter, namespaces etc. anyway which increases complexity a lot.

I unfortunately don't understand the arguments with type 1 or type 2 workloads, I don't see how this plays a role. The number of VMs on a system is basically limited by the amount of RAM we currently can put into the boxes. And the traditional Linux networking model is most of the time easily capable to support this. Otherwise please open bugs, we can certainly help there.

I don't know how RHEV deals with storage, but this indeed looks to me as RHEV would like to go more and more into direction of OSP.

Comment 18 Jiri Benc 2016-03-03 08:43:28 UTC
(In reply to Petr Horáček from comment #14)
> This document describes implementation of basic OVS functionality. After
> this step it should behave the same way as our current native linux
> networking implementation (but faster because of we are not using
> initscripts). OVS boundaries are in this case limited for a host. Is a
> controller needed in this case?

If ovs is used just as a MAC learning switch then no controller is needed. But in such case it provides absolutely no advantage over the Linux bridge. If the only reason is automatic bridge setup, then please talk with NetworkManager developers, I'm sure they can help.

In any other ovs use case than a MAC learning switch, a controller is needed.

Comment 19 Yaniv Lavi 2016-03-03 12:52:35 UTC
(In reply to Jiri Benc from comment #18)
> (In reply to Petr Horáček from comment #14)
> > This document describes implementation of basic OVS functionality. After
> > this step it should behave the same way as our current native linux
> > networking implementation (but faster because of we are not using
> > initscripts). OVS boundaries are in this case limited for a host. Is a
> > controller needed in this case?
> 
> If ovs is used just as a MAC learning switch then no controller is needed.
> But in such case it provides absolutely no advantage over the Linux bridge.
> If the only reason is automatic bridge setup, then please talk with
> NetworkManager developers, I'm sure they can help.
> 
> In any other ovs use case than a MAC learning switch, a controller is needed.

Please read comment #10.

Comment 20 Yaniv Kaul 2016-03-10 15:32:00 UTC
Hanness - please see bug 1193083 - one of the reasons we wish to switch from current networking stack to OVS.

Comment 22 Sandro Bonazzola 2016-05-02 09:49:05 UTC
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Comment 25 Yaniv Lavi 2016-08-08 13:01:22 UTC
Moving out as this is a ongoing dev\QE process for tech preview.

Comment 26 Red Hat Bugzilla Rules Engine 2016-09-05 09:09:28 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 28 Michal Skrivanek 2016-09-16 12:39:10 UTC
Note: the link in URL field doesn't work.

Comment 29 Michael Burman 2016-11-20 10:08:03 UTC
How come that this RFE is ON_QA? when it depends on bugs that on NEW/POST and so on..? 
I don't think this should be ON_QA.

Comment 32 Yaniv Lavi 2017-11-26 14:41:15 UTC
Should this move to 4.2 based on Petr's work?

Comment 33 Dan Kenigsberg 2017-12-04 10:57:13 UTC
(In reply to Yaniv Lavi from comment #32)
> Should this move to 4.2 based on Petr's work?

I don't think so, as this bug has been deeply abused for OvS.

Comment 34 Dan Kenigsberg 2018-10-13 13:19:48 UTC
To support OVS switch type we need to document what is not supported (yet) on it.
Partial list is:

- reading LLDP (RHV-2679)
- setting DNS
- source routing (bug 1383035)
- iSCSI bond (bug 1441245)
- port mirroring (bug 1362492)
- host QoS (bug 1380271)
- setting bridge options (bug 1380273)

Comment 35 Ales Musil 2019-02-21 13:19:56 UTC
We are not even close to be finished with this bug.


Note You need to log in before you can comment on or make changes to this bug.